[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2020-02-07 Thread Michał Górny
commit: 3329a6a272fe5abec54264bca9ffee57da02c062
Author: Michał Górny  gentoo  org>
AuthorDate: Fri Feb  7 08:52:53 2020 +
Commit: Michał Górny  gentoo  org>
CommitDate: Fri Feb  7 09:08:32 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3329a6a2

app-backup/bup: Switch to PYTHON_MULTI_USEDEP API

Signed-off-by: Michał Górny  gentoo.org>

 app-backup/bup/bup-0.29.2.ebuild | 14 --
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/app-backup/bup/bup-0.29.2.ebuild b/app-backup/bup/bup-0.29.2.ebuild
index e42e7328e08..e4d3a98673f 100644
--- a/app-backup/bup/bup-0.29.2.ebuild
+++ b/app-backup/bup/bup-0.29.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -18,12 +18,14 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
app-arch/par2cmdline
-   dev-python/fuse-python[${PYTHON_USEDEP}]
-   dev-python/pylibacl[${PYTHON_USEDEP}]
-   dev-python/pyxattr[${PYTHON_USEDEP}]
-   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
sys-libs/readline:0
-   dev-vcs/git"
+   dev-vcs/git
+   $(python_gen_cond_dep '
+   dev-python/fuse-python[${PYTHON_MULTI_USEDEP}]
+   dev-python/pylibacl[${PYTHON_MULTI_USEDEP}]
+   dev-python/pyxattr[${PYTHON_MULTI_USEDEP}]
+   web? ( www-servers/tornado[${PYTHON_MULTI_USEDEP}] )
+   ')"
 DEPEND="${RDEPEND}
test? (
dev-lang/perl



[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2019-11-17 Thread Tim Harder
commit: e4c41341a8344edd2e10b1c3bca931e987d8a083
Author: Tim Harder  gentoo  org>
AuthorDate: Sun Nov 17 22:06:52 2019 +
Commit: Tim Harder  gentoo  org>
CommitDate: Sun Nov 17 22:09:28 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4c41341

app-backup/bup: remove old

Signed-off-by: Tim Harder  gentoo.org>

 app-backup/bup/Manifest  |  1 -
 app-backup/bup/bup-0.28.1.ebuild | 57 
 2 files changed, 58 deletions(-)

diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
index 61b18d18dc0..687815efd8f 100644
--- a/app-backup/bup/Manifest
+++ b/app-backup/bup/Manifest
@@ -1,2 +1 @@
-DIST bup-0.28.1.tar.gz 377712 BLAKE2B 
b469af7b40807e1462c603c03078fc4e048fc300f74dccba9db4ee9d5b1cd385b3092c2bcc08b60ba798e4f401953ccb3217275c6afb3ebf8040e6e507fde9fd
 SHA512 
b27a9486366f9f97081611d8e0443686ed8c4070d45729ad4efe1d48ee9f528d3257bfd5d37d6243927f5b63d6b613bf5ae2c39117012979ccd5ccecf9d2
 DIST bup-0.29.2.tar.gz 389145 BLAKE2B 
1a54cb68b2c68ecf4902a7f1ee940711b62e413c69d17ba1515f24e115484bac1b4919947f2214784389839f633fbb13dea69c186246426e57c33a148c4c
 SHA512 
10c433d6779b1fd7e1935c587676492d96a330dc3280556332bb55b6e5c62de8631fd755d07d2eaf80cb9fa209dc25b241d5ecf3a6fe2b8210a3d0e1ce4fa4bf

diff --git a/app-backup/bup/bup-0.28.1.ebuild b/app-backup/bup/bup-0.28.1.ebuild
deleted file mode 100644
index f1071883fb2..000
--- a/app-backup/bup/bup-0.28.1.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit python-single-r1
-
-DESCRIPTION="A highly efficient backup system based on the git packfile format"
-HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
-SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test web"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
-   app-arch/par2cmdline
-   dev-python/fuse-python[${PYTHON_USEDEP}]
-   dev-python/pylibacl[${PYTHON_USEDEP}]
-   dev-python/pyxattr[${PYTHON_USEDEP}]
-   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
-   sys-libs/readline:0
-   dev-vcs/git"
-DEPEND="${RDEPEND}
-   test? (
-   dev-lang/perl
-   net-misc/rsync
-   )
-   app-text/pandoc
-"
-
-# unresolved sandbox issues
-RESTRICT="test"
-
-src_prepare() {
-   default
-
-   sed -e "/^CFLAGS :=/s/-O2 -Werror//" \
-   -i Makefile || die
-}
-
-src_configure() {
-   ./configure || die
-}
-
-src_test() {
-   emake test
-}
-
-src_install() {
-   emake DESTDIR="${D}" PREFIX=/usr LIBDIR="/usr/$(get_libdir)/bup" 
DOCDIR="/usr/share/${PF}" install
-   python_fix_shebang "${ED}"
-   python_optimize "${ED}"
-}



[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2019-11-17 Thread Tim Harder
commit: 48aa05fad6a4b10b5a6a106d3bb7e82b90f79ed2
Author: Tim Harder  gentoo  org>
AuthorDate: Sun Nov 17 22:06:38 2019 +
Commit: Tim Harder  gentoo  org>
CommitDate: Sun Nov 17 22:09:28 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48aa05fa

app-backup/bup: drop myself as a maintainer

Signed-off-by: Tim Harder  gentoo.org>

 app-backup/bup/metadata.xml | 5 +
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/app-backup/bup/metadata.xml b/app-backup/bup/metadata.xml
index 9588160..1d0a6394f96 100644
--- a/app-backup/bup/metadata.xml
+++ b/app-backup/bup/metadata.xml
@@ -1,10 +1,7 @@
 
 http://www.gentoo.org/dtd/metadata.dtd;>
 
-   
-   radher...@gentoo.org
-   Tim Harder
-   
+   

Support browsing backups via a web 
interface




[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/, app-backup/bup/files/

2018-12-13 Thread Tim Harder
commit: ba9195efefe38f5007c2bea862d6658e455090f1
Author: Tim Harder  gentoo  org>
AuthorDate: Thu Dec 13 08:43:40 2018 +
Commit: Tim Harder  gentoo  org>
CommitDate: Thu Dec 13 08:48:08 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba9195ef

app-backup/bup: version bump to 0.29.2

Closes: https://bugs.gentoo.org/661390

Signed-off-by: Tim Harder  gentoo.org>

 app-backup/bup/Manifest   |  1 +
 app-backup/bup/bup-0.29.2.ebuild  | 56 +++
 app-backup/bup/files/bup-0.29.2-sitedir.patch | 38 ++
 3 files changed, 95 insertions(+)

diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
index 0879d384f80..ccaedbfe2e9 100644
--- a/app-backup/bup/Manifest
+++ b/app-backup/bup/Manifest
@@ -1,3 +1,4 @@
 DIST bup-0.28.1.tar.gz 377712 BLAKE2B 
b469af7b40807e1462c603c03078fc4e048fc300f74dccba9db4ee9d5b1cd385b3092c2bcc08b60ba798e4f401953ccb3217275c6afb3ebf8040e6e507fde9fd
 SHA512 
b27a9486366f9f97081611d8e0443686ed8c4070d45729ad4efe1d48ee9f528d3257bfd5d37d6243927f5b63d6b613bf5ae2c39117012979ccd5ccecf9d2
 DIST bup-0.29.1.tar.gz 388654 BLAKE2B 
e0a1bd6606f0b2fa7fc50f7df46d2f1704b2bec7e9ac7ff8b97f0bc46081fd4c506f2f12af73e952854746bdf0de5b713d0d5519d99bebafb8c4b62f782ebd09
 SHA512 
2ad142214cf5ee61e2113b49d02761cdf8fdd5928eb4f885230af71f149ba33ee748e1d96e240903f54d3264dc2ad1614e6ece66027b4c7ed1e97b6147a9685e
+DIST bup-0.29.2.tar.gz 389145 BLAKE2B 
1a54cb68b2c68ecf4902a7f1ee940711b62e413c69d17ba1515f24e115484bac1b4919947f2214784389839f633fbb13dea69c186246426e57c33a148c4c
 SHA512 
10c433d6779b1fd7e1935c587676492d96a330dc3280556332bb55b6e5c62de8631fd755d07d2eaf80cb9fa209dc25b241d5ecf3a6fe2b8210a3d0e1ce4fa4bf
 DIST bup-0.29.tar.gz 388173 BLAKE2B 
4d844aa616daa56e457a6164a8a00521c3cc2fe56a4f7b3e73b3cdfa4d42977652b203756198e3b8222de5e49b6d0cadd340f70f79e0a1878f4af80dd2b4d2d7
 SHA512 
3a70d747c6bae2640809d48141b726fa7897f33af9f19047c8d4cfba88abe04ac907980f0ce572847b900e2c8d02a3303e886c8ad7af9a97a7804540c7da1705

diff --git a/app-backup/bup/bup-0.29.2.ebuild b/app-backup/bup/bup-0.29.2.ebuild
new file mode 100644
index 000..e42e7328e08
--- /dev/null
+++ b/app-backup/bup/bup-0.29.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A highly efficient backup system based on the git packfile format"
+HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
+SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+doc test web"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+   app-arch/par2cmdline
+   dev-python/fuse-python[${PYTHON_USEDEP}]
+   dev-python/pylibacl[${PYTHON_USEDEP}]
+   dev-python/pyxattr[${PYTHON_USEDEP}]
+   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
+   sys-libs/readline:0
+   dev-vcs/git"
+DEPEND="${RDEPEND}
+   test? (
+   dev-lang/perl
+   net-misc/rsync
+   )
+   doc? ( app-text/pandoc )
+"
+
+# unresolved sandbox issues
+RESTRICT="test"
+
+PATCHES=( "${FILESDIR}"/${P}-sitedir.patch )
+
+src_configure() {
+   # only build/install docs if enabled
+   export PANDOC=$(usex doc pandoc "")
+
+   ./configure || die
+}
+
+src_test() {
+   emake test
+}
+
+src_install() {
+   emake DESTDIR="${D}" PREFIX=/usr DOCDIR="/usr/share/${PF}" \
+   SITEDIR="$(python_get_sitedir)" install
+   python_fix_shebang "${ED}"
+   python_optimize "${ED}"
+}

diff --git a/app-backup/bup/files/bup-0.29.2-sitedir.patch 
b/app-backup/bup/files/bup-0.29.2-sitedir.patch
new file mode 100644
index 000..920b3dc2792
--- /dev/null
+++ b/app-backup/bup/files/bup-0.29.2-sitedir.patch
@@ -0,0 +1,38 @@
+--- bup-0.29.2/Makefile
 bup-0.29.2/Makefile
+@@ -25,7 +25,7 @@
+ os := $(shell ($(pf); uname | sed 's/[-_].*//') $(isok))
+ os := $(call shout,$(os),Unable to determine OS)
+ 
+-CFLAGS := -Wall -O2 -Werror -Wno-unknown-pragmas $(PYINCLUDE) $(CFLAGS)
++CFLAGS := -Wall -Wno-unknown-pragmas $(PYINCLUDE) $(CFLAGS)
+ CFLAGS := -D_FILE_OFFSET_BITS=64 $(CFLAGS)
+ SOEXT:=.so
+ 
+@@ -93,10 +93,11 @@
+ dest_docdir := $(DESTDIR)$(DOCDIR)
+ dest_bindir := $(DESTDIR)$(BINDIR)
+ dest_libdir := $(DESTDIR)$(LIBDIR)
++dest_sitedir := $(DESTDIR)$(SITEDIR)
+ 
+ install: all
+-  $(INSTALL) -d $(dest_bindir) \
+-  $(dest_libdir)/bup $(dest_libdir)/cmd \
++  $(INSTALL) -d $(dest_bindir) $(dest_libdir) \
++  $(dest_sitedir)/bup $(dest_libdir)/cmd \
+   $(dest_libdir)/web $(dest_libdir)/web/static
+   test -z "$(man_roff)" || install -d $(dest_mandir)/man1
+   test -z "$(man_roff)" || $(INSTALL) -m 0644 $(man_roff) 
$(dest_mandir)/man1
+@@ -109,10 +110,10 @@
+   done
+   $(INSTALL) -pm 0644 \
+

[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2018-12-13 Thread Tim Harder
commit: e25d281d71caddb5f8b9ddd3fdf5c508d38052b2
Author: Tim Harder  gentoo  org>
AuthorDate: Thu Dec 13 08:45:37 2018 +
Commit: Tim Harder  gentoo  org>
CommitDate: Thu Dec 13 08:48:08 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e25d281d

app-backup/bup: remove old

Signed-off-by: Tim Harder  gentoo.org>

 app-backup/bup/Manifest   |  2 --
 app-backup/bup/bup-0.29-r1.ebuild | 60 ---
 app-backup/bup/bup-0.29.1.ebuild  | 60 ---
 app-backup/bup/bup-0.29.ebuild| 57 -
 4 files changed, 179 deletions(-)

diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
index ccaedbfe2e9..61b18d18dc0 100644
--- a/app-backup/bup/Manifest
+++ b/app-backup/bup/Manifest
@@ -1,4 +1,2 @@
 DIST bup-0.28.1.tar.gz 377712 BLAKE2B 
b469af7b40807e1462c603c03078fc4e048fc300f74dccba9db4ee9d5b1cd385b3092c2bcc08b60ba798e4f401953ccb3217275c6afb3ebf8040e6e507fde9fd
 SHA512 
b27a9486366f9f97081611d8e0443686ed8c4070d45729ad4efe1d48ee9f528d3257bfd5d37d6243927f5b63d6b613bf5ae2c39117012979ccd5ccecf9d2
-DIST bup-0.29.1.tar.gz 388654 BLAKE2B 
e0a1bd6606f0b2fa7fc50f7df46d2f1704b2bec7e9ac7ff8b97f0bc46081fd4c506f2f12af73e952854746bdf0de5b713d0d5519d99bebafb8c4b62f782ebd09
 SHA512 
2ad142214cf5ee61e2113b49d02761cdf8fdd5928eb4f885230af71f149ba33ee748e1d96e240903f54d3264dc2ad1614e6ece66027b4c7ed1e97b6147a9685e
 DIST bup-0.29.2.tar.gz 389145 BLAKE2B 
1a54cb68b2c68ecf4902a7f1ee940711b62e413c69d17ba1515f24e115484bac1b4919947f2214784389839f633fbb13dea69c186246426e57c33a148c4c
 SHA512 
10c433d6779b1fd7e1935c587676492d96a330dc3280556332bb55b6e5c62de8631fd755d07d2eaf80cb9fa209dc25b241d5ecf3a6fe2b8210a3d0e1ce4fa4bf
-DIST bup-0.29.tar.gz 388173 BLAKE2B 
4d844aa616daa56e457a6164a8a00521c3cc2fe56a4f7b3e73b3cdfa4d42977652b203756198e3b8222de5e49b6d0cadd340f70f79e0a1878f4af80dd2b4d2d7
 SHA512 
3a70d747c6bae2640809d48141b726fa7897f33af9f19047c8d4cfba88abe04ac907980f0ce572847b900e2c8d02a3303e886c8ad7af9a97a7804540c7da1705

diff --git a/app-backup/bup/bup-0.29-r1.ebuild 
b/app-backup/bup/bup-0.29-r1.ebuild
deleted file mode 100644
index 86ff4f87983..000
--- a/app-backup/bup/bup-0.29-r1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit python-single-r1
-
-DESCRIPTION="A highly efficient backup system based on the git packfile format"
-HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
-SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="+doc test web"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
-   app-arch/par2cmdline
-   dev-python/fuse-python[${PYTHON_USEDEP}]
-   dev-python/pylibacl[${PYTHON_USEDEP}]
-   dev-python/pyxattr[${PYTHON_USEDEP}]
-   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
-   sys-libs/readline:0
-   dev-vcs/git"
-DEPEND="${RDEPEND}
-   test? (
-   dev-lang/perl
-   net-misc/rsync
-   )
-   doc? ( app-text/pandoc )
-"
-
-# unresolved sandbox issues
-RESTRICT="test"
-
-src_prepare() {
-   default
-
-   sed -e "/^CFLAGS :=/s/-O2 -Werror//" \
-   -i Makefile || die
-}
-
-src_configure() {
-   # only build/install docs if enabled
-   export PANDOC=$(usex doc pandoc "")
-
-   ./configure || die
-}
-
-src_test() {
-   emake test
-}
-
-src_install() {
-   emake DESTDIR="${D}" PREFIX=/usr LIBDIR="/usr/$(get_libdir)/bup" 
DOCDIR="/usr/share/${PF}" install
-   python_fix_shebang "${ED}"
-   python_optimize "${ED}"
-}

diff --git a/app-backup/bup/bup-0.29.1.ebuild b/app-backup/bup/bup-0.29.1.ebuild
deleted file mode 100644
index 86ff4f87983..000
--- a/app-backup/bup/bup-0.29.1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit python-single-r1
-
-DESCRIPTION="A highly efficient backup system based on the git packfile format"
-HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
-SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="+doc test web"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
-   app-arch/par2cmdline
-   dev-python/fuse-python[${PYTHON_USEDEP}]
-   dev-python/pylibacl[${PYTHON_USEDEP}]
-   dev-python/pyxattr[${PYTHON_USEDEP}]
-   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
-   sys-libs/readline:0
-   dev-vcs/git"
-DEPEND="${RDEPEND}
-   test? (
-   dev-lang/perl
-   net-misc/rsync
-   )
-   doc? ( app-text/pandoc )
-"
-
-# unresolved sandbox issues
-RESTRICT="test"
-

[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2017-04-19 Thread David Seifert
commit: 2fb0c0c6414a755f46eb31bec75b24d55dfa8f77
Author: David Seifert  gentoo  org>
AuthorDate: Wed Apr 19 07:34:54 2017 +
Commit: David Seifert  gentoo  org>
CommitDate: Wed Apr 19 08:02:04 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fb0c0c6

app-backup/bup: [QA] Add missing python metadata variables

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 app-backup/bup/bup-0.28.1.ebuild  | 3 ++-
 app-backup/bup/bup-0.29-r1.ebuild | 1 +
 app-backup/bup/bup-0.29.1.ebuild  | 1 +
 app-backup/bup/bup-0.29.ebuild| 1 +
 4 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/app-backup/bup/bup-0.28.1.ebuild b/app-backup/bup/bup-0.28.1.ebuild
index 5141a1e4169..f1071883fb2 100644
--- a/app-backup/bup/bup-0.28.1.ebuild
+++ b/app-backup/bup/bup-0.28.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -14,6 +14,7 @@ LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="test web"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
app-arch/par2cmdline

diff --git a/app-backup/bup/bup-0.29-r1.ebuild 
b/app-backup/bup/bup-0.29-r1.ebuild
index d222ff3785d..86ff4f87983 100644
--- a/app-backup/bup/bup-0.29-r1.ebuild
+++ b/app-backup/bup/bup-0.29-r1.ebuild
@@ -14,6 +14,7 @@ LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="+doc test web"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
app-arch/par2cmdline

diff --git a/app-backup/bup/bup-0.29.1.ebuild b/app-backup/bup/bup-0.29.1.ebuild
index d222ff3785d..86ff4f87983 100644
--- a/app-backup/bup/bup-0.29.1.ebuild
+++ b/app-backup/bup/bup-0.29.1.ebuild
@@ -14,6 +14,7 @@ LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="+doc test web"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
app-arch/par2cmdline

diff --git a/app-backup/bup/bup-0.29.ebuild b/app-backup/bup/bup-0.29.ebuild
index 257d967dfc7..f1071883fb2 100644
--- a/app-backup/bup/bup-0.29.ebuild
+++ b/app-backup/bup/bup-0.29.ebuild
@@ -14,6 +14,7 @@ LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="test web"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
app-arch/par2cmdline



[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2017-04-03 Thread Tim Harder
commit: e57b6b69777551dd44a209df762c39ba5051a6a1
Author: Tim Harder  gentoo  org>
AuthorDate: Mon Apr  3 08:16:30 2017 +
Commit: Tim Harder  gentoo  org>
CommitDate: Mon Apr  3 08:34:24 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e57b6b69

app-backup/bup: version bump to 0.29.1

 app-backup/bup/Manifest  |  1 +
 app-backup/bup/bup-0.29.1.ebuild | 59 
 2 files changed, 60 insertions(+)

diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
index 4895d29713a..6f3f80ecaae 100644
--- a/app-backup/bup/Manifest
+++ b/app-backup/bup/Manifest
@@ -1,2 +1,3 @@
 DIST bup-0.28.1.tar.gz 377712 SHA256 
fd962dbdade1b8ea257ac0e95d771ba11e6da4ef6f8ca6bee498a5b1bce8c817 SHA512 
b27a9486366f9f97081611d8e0443686ed8c4070d45729ad4efe1d48ee9f528d3257bfd5d37d6243927f5b63d6b613bf5ae2c39117012979ccd5ccecf9d2
 WHIRLPOOL 
5415df9bee662e0ffdcd81fa766c56a2d747df269d78dda0341bf59d607f4d2570bb1d9fdb055d4bc11992a707b8a36b1d9d7f11d0cfd6e504aa501e1cec7ba1
+DIST bup-0.29.1.tar.gz 388654 SHA256 
d24b53c842d1edc907870aa69facbd45f68d778cc013b1c311b655d10d017250 SHA512 
2ad142214cf5ee61e2113b49d02761cdf8fdd5928eb4f885230af71f149ba33ee748e1d96e240903f54d3264dc2ad1614e6ece66027b4c7ed1e97b6147a9685e
 WHIRLPOOL 
7c1c3186490cfb2efdb79c3f9cf79b2e91e1917a91127b421e49a8dd2605210a24b83c407b55bb7df9168f9f7c7a1941c36b7254013ad82ebdd8078bb52b2d2a
 DIST bup-0.29.tar.gz 388173 SHA256 
26abe107feaead4d4412ac66b37f5ecf37cdf56ce5b6d362c0c6c3862bcbb2e8 SHA512 
3a70d747c6bae2640809d48141b726fa7897f33af9f19047c8d4cfba88abe04ac907980f0ce572847b900e2c8d02a3303e886c8ad7af9a97a7804540c7da1705
 WHIRLPOOL 
62881e320fa19935941e1d926e88d284ce6de1b4291e28eb27e2f7cc5a343b03c5fe4f2e61c7db21c85ea2c48aaeaafe33e61d0e6bb0a45e09038c83f7afe428

diff --git a/app-backup/bup/bup-0.29.1.ebuild b/app-backup/bup/bup-0.29.1.ebuild
new file mode 100644
index 000..d222ff3785d
--- /dev/null
+++ b/app-backup/bup/bup-0.29.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A highly efficient backup system based on the git packfile format"
+HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
+SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+doc test web"
+
+RDEPEND="${PYTHON_DEPS}
+   app-arch/par2cmdline
+   dev-python/fuse-python[${PYTHON_USEDEP}]
+   dev-python/pylibacl[${PYTHON_USEDEP}]
+   dev-python/pyxattr[${PYTHON_USEDEP}]
+   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
+   sys-libs/readline:0
+   dev-vcs/git"
+DEPEND="${RDEPEND}
+   test? (
+   dev-lang/perl
+   net-misc/rsync
+   )
+   doc? ( app-text/pandoc )
+"
+
+# unresolved sandbox issues
+RESTRICT="test"
+
+src_prepare() {
+   default
+
+   sed -e "/^CFLAGS :=/s/-O2 -Werror//" \
+   -i Makefile || die
+}
+
+src_configure() {
+   # only build/install docs if enabled
+   export PANDOC=$(usex doc pandoc "")
+
+   ./configure || die
+}
+
+src_test() {
+   emake test
+}
+
+src_install() {
+   emake DESTDIR="${D}" PREFIX=/usr LIBDIR="/usr/$(get_libdir)/bup" 
DOCDIR="/usr/share/${PF}" install
+   python_fix_shebang "${ED}"
+   python_optimize "${ED}"
+}



[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2017-01-22 Thread Tim Harder
commit: 2b6dfb63de99d868ff0a8e57e856e3f5396c2eb4
Author: Tim Harder  gentoo  org>
AuthorDate: Sun Jan 22 23:59:27 2017 +
Commit: Tim Harder  gentoo  org>
CommitDate: Mon Jan 23 00:02:37 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b6dfb63

app-backup/bup: add doc use flag to control man page generation

For those who want to avoid pandoc and its haskell dep tree.

 app-backup/bup/bup-0.29-r1.ebuild | 60 +++
 1 file changed, 60 insertions(+)

diff --git a/app-backup/bup/bup-0.29-r1.ebuild 
b/app-backup/bup/bup-0.29-r1.ebuild
new file mode 100644
index ..b3b8ad1
--- /dev/null
+++ b/app-backup/bup/bup-0.29-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A highly efficient backup system based on the git packfile format"
+HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
+SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+doc test web"
+
+RDEPEND="${PYTHON_DEPS}
+   app-arch/par2cmdline
+   dev-python/fuse-python[${PYTHON_USEDEP}]
+   dev-python/pylibacl[${PYTHON_USEDEP}]
+   dev-python/pyxattr[${PYTHON_USEDEP}]
+   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
+   sys-libs/readline:0
+   dev-vcs/git"
+DEPEND="${RDEPEND}
+   test? (
+   dev-lang/perl
+   net-misc/rsync
+   )
+   doc? ( app-text/pandoc )
+"
+
+# unresolved sandbox issues
+RESTRICT="test"
+
+src_prepare() {
+   default
+
+   sed -e "/^CFLAGS :=/s/-O2 -Werror//" \
+   -i Makefile || die
+}
+
+src_configure() {
+   # only build/install docs if enabled
+   export PANDOC=$(usex doc pandoc "")
+
+   ./configure || die
+}
+
+src_test() {
+   emake test
+}
+
+src_install() {
+   emake DESTDIR="${D}" PREFIX=/usr LIBDIR="/usr/$(get_libdir)/bup" 
DOCDIR="/usr/share/${PF}" install
+   python_fix_shebang "${ED}"
+   python_optimize "${ED}"
+}



[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2017-01-20 Thread Tim Harder
commit: fab97301cd44358e1bffd8ed60a936baf53ca1f4
Author: Tim Harder  gentoo  org>
AuthorDate: Fri Jan 20 23:54:39 2017 +
Commit: Tim Harder  gentoo  org>
CommitDate: Fri Jan 20 23:54:39 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fab97301

app-backup/bup: version bump to 0.29

 app-backup/bup/Manifest|  1 +
 app-backup/bup/bup-0.29.ebuild | 57 ++
 2 files changed, 58 insertions(+)

diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
index 5906177..4895d29 100644
--- a/app-backup/bup/Manifest
+++ b/app-backup/bup/Manifest
@@ -1 +1,2 @@
 DIST bup-0.28.1.tar.gz 377712 SHA256 
fd962dbdade1b8ea257ac0e95d771ba11e6da4ef6f8ca6bee498a5b1bce8c817 SHA512 
b27a9486366f9f97081611d8e0443686ed8c4070d45729ad4efe1d48ee9f528d3257bfd5d37d6243927f5b63d6b613bf5ae2c39117012979ccd5ccecf9d2
 WHIRLPOOL 
5415df9bee662e0ffdcd81fa766c56a2d747df269d78dda0341bf59d607f4d2570bb1d9fdb055d4bc11992a707b8a36b1d9d7f11d0cfd6e504aa501e1cec7ba1
+DIST bup-0.29.tar.gz 388173 SHA256 
26abe107feaead4d4412ac66b37f5ecf37cdf56ce5b6d362c0c6c3862bcbb2e8 SHA512 
3a70d747c6bae2640809d48141b726fa7897f33af9f19047c8d4cfba88abe04ac907980f0ce572847b900e2c8d02a3303e886c8ad7af9a97a7804540c7da1705
 WHIRLPOOL 
62881e320fa19935941e1d926e88d284ce6de1b4291e28eb27e2f7cc5a343b03c5fe4f2e61c7db21c85ea2c48aaeaafe33e61d0e6bb0a45e09038c83f7afe428

diff --git a/app-backup/bup/bup-0.29.ebuild b/app-backup/bup/bup-0.29.ebuild
new file mode 100644
index ..fcab228
--- /dev/null
+++ b/app-backup/bup/bup-0.29.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A highly efficient backup system based on the git packfile format"
+HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
+SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test web"
+
+RDEPEND="${PYTHON_DEPS}
+   app-arch/par2cmdline
+   dev-python/fuse-python[${PYTHON_USEDEP}]
+   dev-python/pylibacl[${PYTHON_USEDEP}]
+   dev-python/pyxattr[${PYTHON_USEDEP}]
+   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
+   sys-libs/readline:0
+   dev-vcs/git"
+DEPEND="${RDEPEND}
+   test? (
+   dev-lang/perl
+   net-misc/rsync
+   )
+   app-text/pandoc
+"
+
+# unresolved sandbox issues
+RESTRICT="test"
+
+src_prepare() {
+   default
+
+   sed -e "/^CFLAGS :=/s/-O2 -Werror//" \
+   -i Makefile || die
+}
+
+src_configure() {
+   ./configure || die
+}
+
+src_test() {
+   emake test
+}
+
+src_install() {
+   emake DESTDIR="${D}" PREFIX=/usr LIBDIR="/usr/$(get_libdir)/bup" 
DOCDIR="/usr/share/${PF}" install
+   python_fix_shebang "${ED}"
+   python_optimize "${ED}"
+}



[gentoo-commits] repo/gentoo:master commit in: app-backup/bup/

2016-11-04 Thread Tim Harder
commit: e478f1f4dce585a538f771567ded9e928e383a6e
Author: Tim Harder  gentoo  org>
AuthorDate: Fri Nov  4 06:05:57 2016 +
Commit: Tim Harder  gentoo  org>
CommitDate: Fri Nov  4 06:17:22 2016 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e478f1f4

app-backup/bup: initial import

 app-backup/bup/Manifest  |  1 +
 app-backup/bup/bup-0.28.1.ebuild | 57 
 app-backup/bup/metadata.xml  | 14 ++
 3 files changed, 72 insertions(+)

diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
new file mode 100644
index ..5906177
--- /dev/null
+++ b/app-backup/bup/Manifest
@@ -0,0 +1 @@
+DIST bup-0.28.1.tar.gz 377712 SHA256 
fd962dbdade1b8ea257ac0e95d771ba11e6da4ef6f8ca6bee498a5b1bce8c817 SHA512 
b27a9486366f9f97081611d8e0443686ed8c4070d45729ad4efe1d48ee9f528d3257bfd5d37d6243927f5b63d6b613bf5ae2c39117012979ccd5ccecf9d2
 WHIRLPOOL 
5415df9bee662e0ffdcd81fa766c56a2d747df269d78dda0341bf59d607f4d2570bb1d9fdb055d4bc11992a707b8a36b1d9d7f11d0cfd6e504aa501e1cec7ba1

diff --git a/app-backup/bup/bup-0.28.1.ebuild b/app-backup/bup/bup-0.28.1.ebuild
new file mode 100644
index ..195a4f3
--- /dev/null
+++ b/app-backup/bup/bup-0.28.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A highly efficient backup system based on the git packfile format"
+HOMEPAGE="https://bup.github.io/ https://github.com/bup/bup;
+SRC_URI="https://github.com/bup/bup/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test web"
+
+RDEPEND="${PYTHON_DEPS}
+   app-arch/par2cmdline
+   dev-python/fuse-python[${PYTHON_USEDEP}]
+   dev-python/pylibacl[${PYTHON_USEDEP}]
+   dev-python/pyxattr[${PYTHON_USEDEP}]
+   web? ( www-servers/tornado[${PYTHON_USEDEP}] )
+   sys-libs/readline:0
+   dev-vcs/git"
+DEPEND="${RDEPEND}
+   test? (
+   dev-lang/perl
+   net-misc/rsync
+   )
+   app-text/pandoc
+"
+
+# unresolved sandbox issues
+RESTRICT="test"
+
+src_prepare() {
+   default
+
+   sed -e "/^CFLAGS :=/s/-O2 -Werror//" \
+   -i Makefile || die
+}
+
+src_configure() {
+   ./configure || die
+}
+
+src_test() {
+   emake test
+}
+
+src_install() {
+   emake DESTDIR="${D}" PREFIX=/usr LIBDIR="/usr/$(get_libdir)/bup" 
DOCDIR="/usr/share/${PF}" install
+   python_fix_shebang "${ED}"
+   python_optimize "${ED}"
+}

diff --git a/app-backup/bup/metadata.xml b/app-backup/bup/metadata.xml
new file mode 100644
index ..9588444
--- /dev/null
+++ b/app-backup/bup/metadata.xml
@@ -0,0 +1,14 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   radher...@gentoo.org
+   Tim Harder
+   
+   
+   Support browsing backups via a web 
interface
+   
+   
+   bup/bup
+   
+